<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Products extends Model
{
    use HasFactory;
    protected $table = 'products';
    protected $guarded = [];

    public function images()
    {
        return $this->hasMany('App\Models\ProductImages', 'productid', 'id');
    }

    public function category()
    {
        return $this->hasOne('App\Models\Categories', 'id', 'categoryid');
    }


}
