<?php
$system = App\Models\Setting::first();
?>
        <!-- Start Sidebar Modal -->
<div class="modal right fade sidebarModal" id="sidebarModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                <span aria-hidden="true"><i class='bx bx-x'></i></span>
            </button>

            <div class="modal-body">
                <div class="sidebar-about-content">
                    <h3>About The Store</h3>

                    <div class="about-the-store">
                        <p>Royal Moroccan Dresses was created to bring the elegance and cultural richness of Moroccan
                            fashion to you. We provide a curated selection of traditional Moroccan dresses for rent,
                            allowing you to embrace the beauty and heritage of Morocco. Whether it’s a wedding, a
                            cultural celebration, or a special event, our dresses add an authentic and unique touch.
                            Book an appointment today and explore the styles that define Moroccan royalty.</p>

                        <ul class="sidebar-contact-info">
                            <li><i class='bx bx-map'></i> <a>{{ $system->location }}</a>
                            </li>
                            <li><i class='bx bx-phone-call'></i> <a
                                        href="tel:{{ $system->phone }}">{{ $system->phone }}</a></li>
                            <li><i class='bx bx-envelope'></i> <a
                                        href="mailto:{{ $system->email }}"><span>{{ $system->email }}</span></a></li>
                        </ul>
                    </div>

                    <ul class="social-link">
                        <li><a href="https://www.facebook.com/" class="d-block" target="_blank"><i
                                        class='bx bxl-facebook'></i></a></li>
                        <li><a href="https://twitter.com/login" class="d-block" target="_blank"><i
                                        class='bx bxl-twitter'></i></a></li>
                        <li><a href="https://www.instagram.com/" class="d-block" target="_blank"><i
                                        class='bx bxl-instagram'></i></a></li>
                        {{--                        <li><a href="https://www.linkedin.com/login" class="d-block" target="_blank"><i class='bx bxl-linkedin'></i></a></li>--}}
                        {{--                        <li><a href="https://www.pinterest.com/" class="d-block" target="_blank"><i class='bx bxl-pinterest-alt'></i></a></li>--}}
                    </ul>
                </div>

            </div>
        </div>
    </div>
</div>
<!-- End Sidebar Modal -->


<!-- Start Products Filter Modal Area -->
<div class="modal left fade productsFilterModal" id="productsFilterModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                <span aria-hidden="true"><i class='bx bx-x'></i> Close</span>
            </button>

            <div class="modal-body">
                <div class="woocommerce-widget-area">
                    <div class="woocommerce-widget filter-list-widget">
                        <h3 class="woocommerce-widget-title">Current Selection</h3>

                        <div class="selected-filters-wrap-list">
                            <ul>
                                <li><a href="#"><i class='bx bx-x'></i> 44</a></li>
                                <li><a href="#"><i class='bx bx-x'></i> XI</a></li>
                                <li><a href="#"><i class='bx bx-x'></i> Clothing</a></li>
                                <li><a href="#"><i class='bx bx-x'></i> Shoes</a></li>
                            </ul>

                            <a href="#" class="delete-selected-filters"><i class='bx bx-trash'></i>
                                <span>Clear All</span></a>
                        </div>
                    </div>

                    <div class="woocommerce-widget collections-list-widget">
                        <h3 class="woocommerce-widget-title">Collections</h3>

                        <ul class="collections-list-row">
                            <li><a href="#">Men's</a></li>
                            <li class="active"><a href="#" class="active">Women’s</a></li>
                            <li><a href="#">Clothing</a></li>
                            <li><a href="#">Shoes</a></li>
                            <li><a href="#">Accessories</a></li>
                            <li><a href="#">Uncategorized</a></li>
                        </ul>
                    </div>

                    <div class="woocommerce-widget price-list-widget">
                        <h3 class="woocommerce-widget-title">Price</h3>

                        <div class="collection-filter-by-price">
                            <input class="js-range-of-price" type="text" data-min="0" data-max="1055"
                                   name="filter_by_price" data-step="10">
                        </div>
                    </div>

                    <div class="woocommerce-widget size-list-widget">
                        <h3 class="woocommerce-widget-title">Size</h3>

                        <ul class="size-list-row">
                            <li><a href="#">20</a></li>
                            <li><a href="#">24</a></li>
                            <li class="active"><a href="#">36</a></li>
                            <li><a href="#">30</a></li>
                            <li><a href="#">XS</a></li>
                            <li><a href="#">S</a></li>
                            <li><a href="#">M</a></li>
                            <li><a href="#">L</a></li>
                            <li><a href="#">L</a></li>
                            <li><a href="#">XL</a></li>
                        </ul>
                    </div>

                    <div class="woocommerce-widget color-list-widget">
                        <h3 class="woocommerce-widget-title">Color</h3>

                        <ul class="color-list-row">
                            <li class="active"><a href="#" title="Black" class="color-black"></a></li>
                            <li><a href="#" title="Red" class="color-red"></a></li>
                            <li><a href="#" title="Yellow" class="color-yellow"></a></li>
                            <li><a href="#" title="White" class="color-white"></a></li>
                            <li><a href="#" title="Blue" class="color-blue"></a></li>
                            <li><a href="#" title="Green" class="color-green"></a></li>
                            <li><a href="#" title="Yellow Green" class="color-yellowgreen"></a></li>
                            <li><a href="#" title="Pink" class="color-pink"></a></li>
                            <li><a href="#" title="Violet" class="color-violet"></a></li>
                            <li><a href="#" title="Blue Violet" class="color-blueviolet"></a></li>
                            <li><a href="#" title="Lime" class="color-lime"></a></li>
                            <li><a href="#" title="Plum" class="color-plum"></a></li>
                            <li><a href="#" title="Teal" class="color-teal"></a></li>
                        </ul>
                    </div>

                    <div class="woocommerce-widget brands-list-widget">
                        <h3 class="woocommerce-widget-title">Brands</h3>

                        <ul class="brands-list-row">
                            <li><a href="#">Gucci</a></li>
                            <li><a href="#">Virgil Abloh</a></li>
                            <li><a href="#">Balenciaga</a></li>
                            <li class="active"><a href="#">Moncler</a></li>
                            <li><a href="#">Fendi</a></li>
                            <li><a href="#">Versace</a></li>
                        </ul>
                    </div>

                    <div class="woocommerce-widget aside-trending-widget">
                        <div class="aside-trending-products">
                            <img src="assets/img/offer-bg.jpg" alt="image">

                            <div class="category">
                                <h3>Top Trending</h3>
                                <span>Spring/Summer 2024 Collection</span>
                            </div>
                            <a href="products-right-sidebar.html" class="link-btn"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End Products Filter Modal Area -->

<!-- Start Instagram Area -->
<div class="instagram-area">
    <div class="container-fluid">
        <div class="instagram-title">
            <a href="https://www.instagram.com/royalmoroccandresses?igsh=em5zcnVoaWR3MG4x&utm_source=qr/" target="_blank"><i class='bx bxl-instagram'></i> Follow us on @RMD</a>
        </div>

        <div class="instagram-slides owl-carousel owl-theme">
            <div class="single-instagram-post">
                <img src="{{ URL::asset('website/images/instagram/img1.jpg')}} " alt="image">
                <i class='bx bxl-instagram'></i>
                <a href="https://www.instagram.com/" target="_blank" class="link-btn"></a>
            </div>

            <div class="single-instagram-post">
                <img src="{{ URL::asset('website/images/instagram/img2.jpg')}} " alt="image">
                <i class='bx bxl-instagram'></i>
                <a href="https://www.instagram.com/" target="_blank" class="link-btn"></a>
            </div>

            <div class="single-instagram-post">
                <img src="{{ URL::asset('website/images/instagram/img3.jpg')}} " alt="image">
                <i class='bx bxl-instagram'></i>
                <a href="https://www.instagram.com/" target="_blank" class="link-btn"></a>
            </div>

            <div class="single-instagram-post">
                <img src="{{ URL::asset('website/images/instagram/img4.jpg')}}" alt="image">
                <i class='bx bxl-instagram'></i>
                <a href="https://www.instagram.com/" target="_blank" class="link-btn"></a>
            </div>

            <div class="single-instagram-post">
                <img src="{{ URL::asset('website/images/instagram/img5.jpg')}}" alt="image">
                <i class='bx bxl-instagram'></i>
                <a href="https://www.instagram.com/" target="_blank" class="link-btn"></a>
            </div>

            <div class="single-instagram-post">
                <img src="{{ URL::asset('website/images/instagram/img6.jpg')}}" alt="image">
                <i class='bx bxl-instagram'></i>
                <a href="https://www.instagram.com/" target="_blank" class="link-btn"></a>
            </div>

            <div class="single-instagram-post">
                <img src="{{ URL::asset('website/images/instagram/img7.jpg')}}" alt="image">
                <i class='bx bxl-instagram'></i>
                <a href="https://www.instagram.com/" target="_blank" class="link-btn"></a>
            </div>

        </div>
    </div>
</div>
<!-- End Instagram Area -->


<!-- Start Footer Area -->
<footer class="footer-area">
    <div class="container">
        <div class="row justify-content-center">

            <div class="col-lg-4 col-md-4 col-sm-6">
                <div class="single-footer-widget">
                    <a href="{{route('/')}}">
                        <img src="{{ URL::asset('website/images/bl.jpeg')}} " class="main-logo" alt="logo"
                             style="width: 100%">
                    </a>
                </div>
            </div>

            <div class="col-lg-8 col-md-8 col-sm-6">
                <div class="single-footer-widget mt-4">
                    <h3>About The Store</h3>
                    <div class="about-the-store">
                        <p>Royal Moroccan Dresses was created to bring the elegance and cultural richness of Moroccan
                            fashion to you.</p>
                        <ul class="footer-contact-info">
                            <li><i class='bx bx-map'></i> <a>{{ $system->location }}</a>
                            </li>
                            <li><i class='bx bx-phone-call'></i> <a
                                        href="tel:{{ $system->phone }}">{{ $system->phone }}</a></li>
                            <li><i class='bx bx-envelope'></i> <a
                                        href="mailto:{{ $system->email }}"><span>{{ $system->email }}</span></a></li>
                        </ul>
                    </div>
                    <ul class="social-link">
                        <li><a href="https://www.tiktok.com/@royalmoroccandresses?_t=8rAJgXvGMeB&_r=1" class="d-block" target="_blank"><i
                                        class='bx bxl-tiktok'></i></a></li>
                        <li><a href="https://www.instagram.com/royalmoroccandresses?igsh=em5zcnVoaWR3MG4x&utm_source=qr/" class="d-block" target="_blank"><i
                                        class='bx bxl-instagram'></i></a></li>
                    </ul>
                </div>
            </div>

        </div>

        {{--        <div class="footer-bottom-area">--}}
        {{--            <div class="row align-items-center justify-content-center">--}}
        {{--                <div class="col-lg-12 col-md-12">--}}
        {{--                    <p>Royal Moroccan Dresses © 2024 All Right Reserved</p>--}}
        {{--                </div>--}}
        {{--            </div>--}}
        {{--        </div>--}}
    </div>

    <div class="lines">
        <div class="line"></div>
        <div class="line"></div>
        <div class="line"></div>
    </div>
</footer>
<!-- End Footer Area -->

<div class="go-top"><i class='bx bx-up-arrow-alt'></i></div>

<!-- Links of JS files -->
<script src="{{ URL::asset('website/js/jquery.min.js')}} "></script>
<script src="{{ URL::asset('website/js/popper.min.html')}}"></script>
<script src="{{ URL::asset('website/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{ URL::asset('website/js/owl.carousel.min.js')}}"></script>
<script src="{{ URL::asset('website/js/magnific-popup.min.js')}}"></script>
<script src="{{ URL::asset('website/js/parallax.min.js')}}"></script>
<script src="{{ URL::asset('website/js/rangeSlider.min.js')}}"></script>
<script src="{{ URL::asset('website/js/nice-select.min.js')}}"></script>
<script src="{{ URL::asset('website/js/meanmenu.min.js')}}"></script>
<script src="{{ URL::asset('website/js/isotope.pkgd.min.js')}}"></script>
<script src="{{ URL::asset('website/js/slick.min.js')}}"></script>
<script src="{{ URL::asset('website/js/sticky-sidebar.min.js')}}"></script>
<script src="{{ URL::asset('website/js/wow.min.js')}}"></script>
<script src="{{ URL::asset('website/js/form-validator.min.js')}}"></script>
<script src="{{ URL::asset('website/js/contact-form-script.js')}}"></script>
<script src="{{ URL::asset('website/js/ajaxchimp.min.js')}}"></script>
<script src="{{ URL::asset('website/js/main.js')}}"></script>

<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>

<script>
    function ShowLoader() {
        $('#MyLoader').show();
    }
    function HideLoader() {
        $('#MyLoader').hide();
    }

    $('.MyForm').submit(function () {
        $('#MyLoader').show();
        $(".MyButton").attr("disabled", true);
        $(".MyButton").html('Please Wait . . .  <i class="fa fa-spinner"></i>');
    });
</script>

</body>

</html>


