<?php
$system = App\Models\Setting::first();
?>

        <!DOCTYPE html>
<html lang="zxx">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Links of CSS files -->
    <link rel="stylesheet" href="{{ URL::asset('website/css/bootstrap.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/animate.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/boxicons.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/flaticon.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/magnific-popup.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/nice-select.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/slick.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/owl.carousel.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/meanmenu.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/rangeSlider.min.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/style.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/dark.css')}} ">
    <link rel="stylesheet" href="{{ URL::asset('website/css/responsive.css')}} ">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">

    <title>{{ $system->name }} @yield('title')</title>
    <link rel="shortcut icon" href="{{ URL::asset('admin/assets/uploads/'.$system->favicon) }}"/>

</head>
<body>
@include('website.layout.loader')
<!-- Start Top Header Area -->
{{--<div class="top-header">--}}
{{--    <div class="container-fluid">--}}
{{--        <div class="row align-items-center justify-content-center">--}}
{{--            <div class="col-lg-3 col-md-12">--}}
{{--                <ul class="header-contact-info">--}}
{{--                    <li>Welcome to Royal Moroccan Dresses</li>--}}
{{--                </ul>--}}
{{--            </div>--}}
{{--        </div>--}}
{{--    </div>--}}
{{--</div>--}}
<!-- End Top Header Area -->

<!-- Start Navbar Area -->
<div class="navbar-area">
    <div class="xton-responsive-nav">
        <div class="container">
            <div class="xton-responsive-menu">
                <div class="logo">
                    <a href="{{route('/')}}">
                        <img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" class="main-logo" alt="logo" style="width: 100%;height: 70px">
                        <img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" class="white-logo" alt="logo" style="width: 100%;height: 80px">
                    </a>
                </div>
            </div>
        </div>
    </div>

    <div class="xton-nav">
        <div class="container-fluid">
            <nav class="navbar navbar-expand-md navbar-light">
                <a class="navbar-brand" href="{{route('/')}}">
                    <img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" class="main-logo" alt="logo" style="width: 100%;height: 80px">
                    <img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" class="white-logo" alt="logo" style="width: 100%;height: 80px">
                </a>

                <div class="collapse navbar-collapse mean-menu">
                    <ul class="navbar-nav">
                        <li class="nav-item"><a href="{{route('/')}}" class="nav-link active">Home</a></li>
                        <li class="nav-item"><a href="{{route('about')}}" class="nav-link active">Over ons</a></li>
                        <li class="nav-item"><a href="{{route('appointment')}}" class="nav-link active">Afspraak maken</a></li>
{{--                        <li class="nav-item"><a href="{{route('about')}}" class="nav-link ">About</a></li>--}}
{{--                        <li class="nav-item"><a href="{{route('home')}}" class="nav-link ">Shop <i class='bx bx-chevron-down'></i></a>--}}
{{--                            <ul class="dropdown-menu">--}}
{{--                                <ul class="dropdown-menu">--}}
{{--                                    <li class="nav-item"><a href="{{route('shop')}}" class="nav-link">New Collection</a></li>--}}

{{--                                    <li class="nav-item"><a href="{{route('shop')}}" class="nav-link active">Popular Products</a></li>--}}

{{--                                    <li class="nav-item"><a href="{{route('shop')}}" class="nav-link">Trending Products</a></li>--}}

{{--                                    <li class="nav-item"><a href="{{route('shop')}}" class="nav-link">Best Selling</a></li>--}}
{{--                                    --}}
{{--                                </ul>--}}
{{--                            </ul>--}}
{{--                        </li>--}}
{{--                        <li class="nav-item"><a href="{{route('contact')}}" class="nav-link ">Contact Us</a></li>--}}
                    </ul>

                    <div class="others-option">


                        <div class="option-item">
                            <div class="burger-menu" data-bs-toggle="modal" data-bs-target="#sidebarModal">
                                <span class="top-bar"></span>
                                <span class="middle-bar"></span>
                                <span class="bottom-bar"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </nav>
        </div>
    </div>
</div>
<!-- End Navbar Area -->

<!-- Start Sticky Navbar Area -->
<div class="navbar-area header-sticky">
    <div class="xton-nav">
        <div class="container-fluid">
            <nav class="navbar navbar-expand-md navbar-light">
                <a class="navbar-brand" href="{{ route('/') }}">
                    <img src="{{ URL::asset('website/images/logo.jpg')}} " alt="logo">
                </a>

                <div class="collapse navbar-collapse mean-menu">
                    <ul class="navbar-nav">
                        <li class="nav-item"><a href="{{route('/')}}" class="nav-link active">Home</a></li>
                        <li class="nav-item"><a href="{{route('about')}}" class="nav-link active">Over ons</a></li>
                        <li class="nav-item"><a href="{{route('appointment')}}" class="nav-link active">Afspraak maken</a></li>
{{--                        <li class="nav-item"><a href="{{route('home')}}" class="nav-link active">Home</a></li>--}}
{{--                        <li class="nav-item"><a href="{{route('about')}}" class="nav-link ">About</a></li>--}}
{{--                        <li class="nav-item"><a href="{{route('shop')}}" class="nav-link ">Shop <i class='bx bx-chevron-down'></i></a>--}}
{{--                            <ul class="dropdown-menu">--}}
{{--                                <li class="nav-item"><a href="{{route('shop')}}" class="nav-link">New Collection</a></li>--}}

{{--                                <li class="nav-item"><a href="{{route('shop')}}" class="nav-link active">Popular Products</a></li>--}}

{{--                                <li class="nav-item"><a href="{{route('shop')}}" class="nav-link">Trending Products</a></li>--}}

{{--                                <li class="nav-item"><a href="{{route('shop')}}" class="nav-link">Best Selling</a></li>--}}


{{--                            </ul>--}}
{{--                        </li>--}}
{{--                        <li class="nav-item"><a href="{{route('contact')}}" class="nav-link ">Contact Us</a></li>--}}
                    </ul>

                    <div class="others-option">


                        <div class="option-item">
                            <div class="burger-menu" data-bs-toggle="modal" data-bs-target="#sidebarModal">
                                <span class="top-bar"></span>
                                <span class="middle-bar"></span>
                                <span class="bottom-bar"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </nav>
        </div>
    </div>
</div>
<!-- End Header Area -->


